Subject: Re: bug#10085: 24.0.91; completion-pcm--find-all-completions returns wrong remote file names
From: Michael Albinus <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Mon, 02 May 2016 09:19:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier <[email-masked]> writes:

>> Hmm, "/sudo:" is a valid remote file name. It uses as method the value
>> of `tramp-default-host', and as host the string between "/" and
>> ":".  That's how it is specified.
>
> Where/who specifies it?  AFAIK *you* specify it, so you can change it.

This was specified even before I've entered the Tramp camp, back in 2002.
And I'm very conservative in changing the interface.

Anyway, I've fixed in Tramp the implementation for `file-name-as-directory',
`file-name-directory' and `file-name-nondirectory' in completion mode.
This solves this bug, I'm closing it.

Thanks for pointing me into the right direction with `file-name-directory'!

>         Stefan

Best regards, Michael.